import numpy as np
import pycbc
from pycbc.types import TimeSeries, FrequencySeries
import gwpy
from gwpy.timeseries import TimeSeries as gwpyTimeSeries
from pycbc.waveform import get_fd_waveform
from scipy.signal import find_peaks, tukey

run = '.'
data = np.loadtxt(f'{run}/all_comps.dat')

comp1 = data[:,1]
comp2 = data[:,2]
comp3 = data[:,3]
comp4 = data[:,4]

accept1_lgc = comp1 > 0.97
accept1_points = data[accept1_lgc]

accept2_lgc = (comp2 > 0.97) & (~accept1_lgc)
accept2_points = data[accept2_lgc]

accept3_lgc = (comp3 > 0.97) & (~accept1_lgc) & (~accept2_lgc)
accept3_points = data[accept3_lgc]

accept4_lgc = (comp4 > 0.97) & (~accept1_lgc) & (~accept2_lgc) & (~accept3_lgc)
accept4_points = data[accept4_lgc]

accept5_lgc = (~accept1_lgc) & (~accept2_lgc) & (~accept3_lgc) & (~accept4_lgc)
accept5_points = data[accept5_lgc]

num_comps = np.zeros([len(data)], dtype=int)
num_comps[accept1_lgc] = 1
num_comps[accept2_lgc] = 2
num_comps[accept3_lgc] = 3
num_comps[accept4_lgc] = 4
num_comps[accept5_lgc] = 5

import h5py
h5fp = h5py.File(f'PREC_BANK.h5', 'a')
h5fp['num_comps'] = num_comps
params = h5fp.attrs['parameters']
params = np.append(params, ['num_comps'])
params = np.array(params, dtype=h5py.string_dtype(encoding='utf-8'))
del h5fp.attrs['parameters']
h5fp.attrs.create('parameters', params, dtype=h5py.string_dtype(encoding='utf-8'))
h5fp.close()
